Get a local receipt by hash.
GET
/v1/receipts/{receipt_hash}
Authentication
Bearer Token
Path Parameters
receipt_hash
string
required
path
Responses
200
Matching receipt.
application/jsonreceipt
object
REQUIRED
receipt_hash
string
receipt
object
submitted_at
string (date-time)
control_plane_url
string
batch_id
string
created_at
string (date-time)
default
B3IQ-native problem response.
curl -X GET 'http://127.0.0.1:8831/v1/receipts/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('http://127.0.0.1:8831/v1/receipts/string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('http://127.0.0.1:8831/v1/receipts/string', headers=headers)print(response.json())
200
Response
{ "receipt": { "receipt_hash": "<string>", "receipt": "<object>", "submitted_at": "2024-01-01T00:00:00Z", "control_plane_url": "<string>", "batch_id": "<string>", "created_at": "2024-01-01T00:00:00Z" }}
API Playground
Try this endpoint
GET
/v1/receipts/{receipt_hash}

